{% extends 'bootstrap/base.html' %}

{% block title %}
    {% if title %}{{ title }} - 图片搜索用户标注系统{% else %}图片搜索用户标注系统{% endif %}
{% endblock %}

{% block navbar %}
    <nav class="navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <a class="navbar-brand" href="{{ url_for('index') }}">图片搜索用户标注系统</a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    {% if current_user.is_anonymous %}
                        <li><a href="{{ url_for('login') }}">登录</a></li>
                    {% else %}
                        <li><p class="navbar-text">{{ '当前余额: ¥%.2f' % current_user.get_reward() }}</p></li>
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ current_user.username }}<span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <!-- <li role="separator" class="divider"></li> -->
                                <li><a href="{{ url_for('logout') }}">登出</a></li>
                            </ul>
                        </li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </nav>
{% endblock %}

{% block content %}
    <div class="container">
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                {% for message in messages %}
                    <div class="alert alert-info alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
        {% endwith %}

        {% block app_content %}
        {% endblock %}
    </div>
{% endblock %}

{% block scripts %}
    {{ super() }}
    {{ moment.include_moment() }}
    {{ moment.lang("zh-CN") }}
{% endblock %}
